10
ababcdcdefefababcdc
nonopqpqrsrsnonopqp
opopqrqrststopopqrq
pqpqrsrstutupqpqrsr
ghghijijklklhhghiji
hihijkjklmlmhihijkj
hihijkjklmlmhihijkj
ghghijijklklhhghiji
ghghijijklklhhghiji
ghghijijklklhhghiji
ghghijijklklhhghiji
